from flask import Flask
from watermark_generate.controller.secret_controller import secret
from watermark_generate.controller.dataset_controller import dataset
from watermark_generate.controller.log_controller import log_controller

app = Flask(__name__)

# 注册路由
app.register_blueprint(secret)
app.register_blueprint(dataset)
app.register_blueprint(log_controller)

# 运行
if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0', port=5000)
